Subject: [dhcwg] Two recent DHCPv4 Bulk Leasequery drafts

From: Kim Kinnear <[email-masked]>
Date: Fri, 18 Jul 2008 15:15:45 -0400

Folks,

We recently submitted a draft concerning DHCPv4 Bulk Leasequery:

http://tools.ietf.org/html/draft-kinnear-dhc-dhcpv4-bulk-leasequery-00

We've been working on this draft for a month or more, and a few
days before we submitted it we discovered that Rao, Joshi, and
Kurapati from Infosys had also submitted a draft:

http://tools.ietf.org/html/draft-dtv-dhc-dhcpv4-bulk-leasequery-00

With the deadline upon us, we decided to go ahead and submit our
draft since there were some real differences between the drafts,
though both came originally (textually) from Mark Stapp's DHCPv6
Bulk leasequery draft and are quite similar in many respects.

The first question for the working group, of course, is whether
or not this is a topic that the working group wishes to take up.
Two separate drafts from different groups would indicate that at
least seven people on two continents that believe this is a topic
worthy of work.  

In the event the working group decides to pursue this topic,
I would like to offer some ideas about how to move forward. 

These drafts are both superficially similar as well as similar in
many details.  The dtv draft has many more query alternatives
than the kinnear draft, while the kinnear draft has rather more
information returned in each packet.  There are certainly other
differences, not least the framing as well as the actual form of
the returned information.

In the event that the working group decides this is a topic worth
pursuing, it is my hope that together we would be able to produce
a single joint draft that would meet the needs of both groups.  I
would recommend we have some joint phone conferences between the
two groups (or their representatives) after this IETF to see if
we can work out a common approach to this problem with the goal
of yielding a draft that meets the needs of both existing
interested groups.  Then we could submit that joint draft and see
if it meets the larger needs of the working group.

None of our group will be attending this next IETF, so we'll look
forward to hearing about the discussion that occurs at the
meetings.

Regards - Kim

_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Bharat Joshi <[email-masked]>
Date: Mon, 21 Jul 2008 15:57:57 +0530

Hi Kim,

> least seven people on two continents that believe this is a topic

We also feel that this is a topic which DHC working group should pursue.
In fact, in last meeting, number of participants suggested that we
should come out with DHCPv4 Bulk Lease Query during the presentation of
our draft 'Query by remote-id'.

> the returned information.

Yes. It certainly looks similar.

> forward to hearing about the discussion that occurs at the

One of our colleague is traveling to Dublin to present our draft. We are
sure to get some feedback on this work.

As you mentioned, we can surely have a meeting [Conference call] to
discuss your and our work after the IETF meeting. We are sure we can
work together to produce a joint draft that would be able to meet all
our expectations.

Regards,
Bharat

**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***
_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg